Subject: [manet] credit windowing questions

From: "Wiggins, David - 0665 - MITLL" <[email-masked]>
Date: Fri, 10 Jul 2015 14:42:15 +0000

I have a few questions on the credit windowing extension in DLEP 15:

Exactly which data plane octets count against the credit window?  Since
destinations are MAC addresses, I assume we are counting at the MAC
layer.  So MAC payload octets should surely count, but what about MAC
headers?  MAC framing?

Are multicast destinations handled any differently than unicast?

A Destination Update message can contain both Credit Window Status and
Credit Grant data items.  In that case, does the window value in the Credit
Window Status already reflect the Credit Grant increment, or should the
recipient add the window value + credit increment to get the real new
credit window?

When a peer receives a Credit Window Status, if it has a different
value for the other side's receive window than what is in the Credit
Window Status, should it update its value to be the one in the Credit
Window Status?  It seems like this should be a MUST.

David